package com.blueconic.example;

import java.io.IOException;

import oauth.signpost.OAuthConsumer;
import oauth.signpost.commonshttp.CommonsHttpOAuthConsumer;
import oauth.signpost.exception.OAuthCommunicationException;
import oauth.signpost.exception.OAuthExpectationFailedException;
import oauth.signpost.exception.OAuthMessageSignerException;

import org.apache.commons.io.IOUtils;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;

public class OAuthExample {
    private static final String CONSUMERKEY = "blueconic";
    private static final String CONSUMERSECRET = "secret";
    private static final String ENCODING = "UTF-8";

    public static void main(String[] args) throws OAuthMessageSignerException, OAuthExpectationFailedException,
            OAuthCommunicationException, ClientProtocolException, IOException {
        HttpClient httpClient = new DefaultHttpClient();
        HttpGet request = new HttpGet("http://localhost:3737/rest/profileProperties");
        OAuthConsumer consumer = new CommonsHttpOAuthConsumer(CONSUMERKEY, CONSUMERSECRET);
        consumer.sign(request);
        HttpResponse response = httpClient.execute(request);

        System.out.println("Response code: " + response.getStatusLine().getStatusCode());
        String content = new String(IOUtils.toByteArray(response.getEntity().getContent()), ENCODING);
        System.out.println("Response content: " + content);
    }
}
